# AP4_Sample Class Reference

`#include <Ap4Sample.h>`

List of all members.

## Public Member Functions
| AP4_Sample ()
| AP4_Sample (const AP4_Sample &other)
| AP4_Sample (AP4_ByteStream &data_stream, AP4_Position offset, AP4_Size size, AP4_Ordinal description_index, AP4_TimeStamp dts, AP4_UI32 cts_offset=0, bool sync_flag=true)
| ~AP4_Sample ()
AP4_Sample & | operator= (const AP4_Sample &other)
AP4_Result | ReadData (AP4_DataBuffer &data)
AP4_Result | ReadData (AP4_DataBuffer &data, AP4_Size size, AP4_Size offset=0)
AP4_ByteStream * | GetDataStream ()
void | SetDataStream (AP4_ByteStream &stream)
AP4_Position | GetOffset () const
void | SetOffset (AP4_Position offset)
AP4_Size | GetSize ()
void | SetSize (AP4_Size size)
AP4_Ordinal | GetDescriptionIndex () const
void | SetDescriptionIndex (AP4_Ordinal index)
AP4_TimeStamp | GetDts () const
void | SetDts (AP4_TimeStamp dts)
AP4_TimeStamp | GetCts () const
void | SetCts (AP4_TimeStamp cts)
bool | IsSync () const
void | SetSync (bool is_sync)
## Protected Attributes
AP4_ByteStream * | m_DataStream
AP4_Position | m_Offset
AP4_Size | m_Size
AP4_Ordinal | m_DescriptionIndex
AP4_TimeStamp | m_Dts
AP4_TimeStamp | m_Cts
bool | m_IsSync

## Detailed Description

Definition at line 46 of file Ap4Sample.h.

## Constructor & Destructor Documentation

AP4_Sample::AP4_Sample | ( |  | ) |

AP4_Sample::AP4_Sample | ( | const AP4_Sample & | other | ) |

AP4_Sample::AP4_Sample | ( | AP4_ByteStream & | data_stream,
|  | AP4_Position | offset,
|  | AP4_Size | size,
|  | AP4_Ordinal | description_index,
|  | AP4_TimeStamp | dts,
|  | AP4_UI32 | cts_offset = `0`,
|  | bool | sync_flag = `true` |
| ) |  |  |

AP4_Sample::~AP4_Sample | ( |  | ) |

## Member Function Documentation

AP4_Sample& AP4_Sample::operator= | ( | const AP4_Sample & | other | ) |

AP4_Result AP4_Sample::ReadData | ( | AP4_DataBuffer & | data | ) |

AP4_Result AP4_Sample::ReadData | ( | AP4_DataBuffer & | data,
|  | AP4_Size | size,
|  | AP4_Size | offset = `0` |
| ) |  |  |

AP4_ByteStream* AP4_Sample::GetDataStream | ( |  | ) |

void AP4_Sample::SetDataStream | ( | AP4_ByteStream & | stream | ) |

AP4_Position AP4_Sample::GetOffset | ( |  | ) | const`[inline]`

Definition at line 73 of file Ap4Sample.h.

References m_Offset.

void AP4_Sample::SetOffset | ( | AP4_Position | offset | ) | `[inline]`

Definition at line 74 of file Ap4Sample.h.

References m_Offset.

AP4_Size AP4_Sample::GetSize | ( |  | ) | `[inline]`

Definition at line 75 of file Ap4Sample.h.

References m_Size.

void AP4_Sample::SetSize | ( | AP4_Size | size | ) | `[inline]`

Definition at line 76 of file Ap4Sample.h.

References m_Size.

AP4_Ordinal AP4_Sample::GetDescriptionIndex | ( |  | ) | const`[inline]`

Definition at line 77 of file Ap4Sample.h.

References m_DescriptionIndex.

void AP4_Sample::SetDescriptionIndex | ( | AP4_Ordinal | index | ) | `[inline]`

Definition at line 78 of file Ap4Sample.h.

References m_DescriptionIndex.

AP4_TimeStamp AP4_Sample::GetDts | ( |  | ) | const`[inline]`

Definition at line 79 of file Ap4Sample.h.

References m_Dts.

void AP4_Sample::SetDts | ( | AP4_TimeStamp | dts | ) | `[inline]`

Definition at line 80 of file Ap4Sample.h.

References m_Dts.

AP4_TimeStamp AP4_Sample::GetCts | ( |  | ) | const`[inline]`

Definition at line 81 of file Ap4Sample.h.

References m_Cts.

void AP4_Sample::SetCts | ( | AP4_TimeStamp | cts | ) | `[inline]`

Definition at line 82 of file Ap4Sample.h.

References m_Cts.

bool AP4_Sample::IsSync | ( |  | ) | const`[inline]`

Definition at line 83 of file Ap4Sample.h.

References m_IsSync.

void AP4_Sample::SetSync | ( | bool | is_sync | ) | `[inline]`

Definition at line 84 of file Ap4Sample.h.

References m_IsSync.

## Member Data Documentation

AP4_ByteStream* AP4_Sample::m_DataStream`[protected]`

Definition at line 87 of file Ap4Sample.h.

AP4_Position AP4_Sample::m_Offset`[protected]`

Definition at line 88 of file Ap4Sample.h.

Referenced by GetOffset(), and SetOffset().

AP4_Size AP4_Sample::m_Size`[protected]`

Definition at line 89 of file Ap4Sample.h.

Referenced by GetSize(), and SetSize().

AP4_Ordinal AP4_Sample::m_DescriptionIndex`[protected]`

Definition at line 90 of file Ap4Sample.h.

Referenced by GetDescriptionIndex(), and SetDescriptionIndex().

AP4_TimeStamp AP4_Sample::m_Dts`[protected]`

Definition at line 91 of file Ap4Sample.h.

Referenced by GetDts(), and SetDts().

AP4_TimeStamp AP4_Sample::m_Cts`[protected]`

Definition at line 92 of file Ap4Sample.h.

Referenced by GetCts(), and SetCts().

bool AP4_Sample::m_IsSync`[protected]`

Definition at line 93 of file Ap4Sample.h.

Referenced by IsSync(), and SetSync().

The documentation for this class was generated from the following file:

- Ap4Sample.h